#include <bits/stdc++.h>
using namespace std;
int mas[3000000];
int psum[3000000];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    int sum=0;
    for (int i=0;i<n;i++) {
        cin>>mas[i];
        sum+=mas[i];
    }

    for (int i=0;i<n;i++) {
        if (i==0)psum[i]=mas[i];
        else psum[i]=psum[i-1]+mas[i];
    }
    int res=1000000000;
    int pi,pj,pk;
    for (int i=1;i<n;i++) {
        for (int j=i+1;j<n;j++) {
            for (int k=j+1;k<n;k++) {
                int sum1,sum2,sum3;
                sum1=psum[j-1]-psum[i-1];
                sum2=psum[k-1]-psum[j-1];
                sum3=psum[n-1]-psum[k-1]+psum[i-1];
                int pres=max(sum1,max(sum2,sum3))-min(sum1,min(sum2,sum3));
                if (pres<res){res=pres;pi=i;pj=j;pk=k;}
            }
        }
    }
    cout<<res<<'\n'<<pi+1<<' '<<pj+1<<' '<<pk+1;
}
